Subject: Re: [seamoby] MM vs CT

From: [email-masked]
Date: Wed, 7 Mar 2001 17:50:30 -0600

Hi John,

Boy am I on the same page with you here John.  I take a much MORE
radical stance (as usual :-)) and believe they are inseparable.  In the
CNP draft (that was submitted long before the group was prepared
for such an animal) I combined a "contract" with a handoff request
and "bid" with a handoff reply messages that came in from the bidders
i.e. all the handoff candidates.  Recently, I have been exploring
how this exact same mechanism COULD be extended "seamlessly"
to AODV thus giving us a very nice contract handover mechanism
that works for MIP, (micro-IF-needed???), and ad-hoc.

Sorry for the sales pitch, but I have just been working on this and
I have been kind of excited about it.

1).  Without getting hung up on the technical details let us assume that
       macro diversity soft-handover i.e. a common bearer format can be
       collected from multiple APs/BTSs even with different RF technologies
        in a central point AP and we call it IPSHO OK.

2). Given 1 we have 4-5? handover types from an AP perspective

     0)  Softer (not allowed according to the IETF) :-)  Intra-AP handover
     1) Softy (micro-mobilility) (aka SeaMoby) (no IP addr change) existence
tenuous
          NOTE:  Happens in the real world all the time.
          NOTE:  Being standardized by IEEE 802.11 TG 11 as we argue here.
    A).  Hard handover
    B)   Hard handover (with make before break)
    C).  IPSHO (keeps multiple IP tunnels active)

3). It seems pretty obvious that in cases B and C that the AP would
      like to know what it's cared for MN is getting into before subjecting
      it's MN to the new AP.

I know this does not answer your question directly.   Maybe its
munchies for thought.  I hope.

Take it easy.

Phil

Sent by:  [email-masked]

To:   [email-masked]
cc:    (Phil Neumiller/MW/US/3Com)
Subject:  [seamoby] MM vs CT

Hi all,

I'd like to get everyone's feeling about an issue.

It has been suggested that a handoff mechanism
may like to know the capabilities of a handoff
target.  This could be useful, for example, when
there is more than one target.  The handoff
mechanism may want to chose the one which
fufills the QoS requirements, for example.

My question is: what design team should tackle
this issue, MicroMobility or Context Transfer?

thanks,
John